Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\Bookmark\Handler Interface Reference
Inheritance diagram for eZ\Publish\SPI\Persistence\Bookmark\Handler:

## Public Member Functions
| create (CreateStruct $createStruct)
| Create a new bookmark. More...
| delete (int $bookmarkId)
| Delete a bookmark. More...
| loadByUserIdAndLocationId (int $userId, array $locationIds)
| Get bookmark by user id and location id. More...
| loadUserBookmarks (int $userId, int $offset=0, int $limit=-1)
| Loads bookmarks owned by user. More...
| countUserBookmarks (int $userId)
| Count bookmarks owned by user. More...
| locationSwapped (int $location1Id, int $location2Id)
| Notifies the underlying engine that a location was swapped. More...

## Detailed Description

Definition at line 11 of file SPI/Persistence/Bookmark/Handler.php.

## Member Function Documentation

## ◆ countUserBookmarks()

eZ\Publish\SPI\Persistence\Bookmark\Handler::countUserBookmarks | ( | int | $userId | ) |

Count bookmarks owned by user.

Parameters

  int | $userId |

Returns
  int

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

## ◆ create()

eZ\Publish\SPI\Persistence\Bookmark\Handler::create | ( | CreateStruct | $createStruct | ) |

Create a new bookmark.

Parameters

  \eZ\Publish\SPI\Persistence\Bookmark\CreateStruct | $createStruct |

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

## ◆ delete()

eZ\Publish\SPI\Persistence\Bookmark\Handler::delete | ( | int | $bookmarkId | ) |

Delete a bookmark.

Parameters

  int | $bookmarkId |

Exceptions

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

## ◆ loadByUserIdAndLocationId()

eZ\Publish\SPI\Persistence\Bookmark\Handler::loadByUserIdAndLocationId | ( | int | $userId,
|  | array | $locationIds
| ) |  |

Get bookmark by user id and location id.

Parameters

  int | $userId |
  array | $locationIds |

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark[]

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

## ◆ loadUserBookmarks()

eZ\Publish\SPI\Persistence\Bookmark\Handler::loadUserBookmarks | ( | int | $userId,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |

Loads bookmarks owned by user.

Parameters

  int | $userId |
  int | $offset | the start offset for paging
  int | $limit | the number of bookmarked locations returned

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark[]

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

## ◆ locationSwapped()

eZ\Publish\SPI\Persistence\Bookmark\Handler::locationSwapped | ( | int | $location1Id,
|  | int | $location2Id
| ) |  |

Notifies the underlying engine that a location was swapped.

This method triggers the change of the bookmarked locations.

Parameters

  int | $location1Id | ID of first location
  int | $location2Id | ID of second location

Implemented in eZ\Publish\Core\Persistence\Legacy\Bookmark\Handler, and eZ\Publish\Core\Persistence\Cache\BookmarkHandler.

The documentation for this interface was generated from the following file:

- SPI/Persistence/Bookmark/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.